Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.master.search.enterprise
Class EOSearchOptions

    java.lang.Object
      com.sun.mdm.index.querybuilder.SearchOptions
          com.sun.mdm.index.master.search.enterprise.EOSearchOptions

All Implemented Interfaces:
  java.io.Serializable

public class EOSearchOptions
extends SearchOptions

The EOSearchOptions class represents a specific sub-class of the SearchOptions class, and is used by searchEnterpriseObject as criteria for an enterprise object search. Methods in this class use fully qualified field names (see Creating a Master Index with Master Index Studio for more information about field names).

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sun.mdm.index.querybuilder.SearchOptions
`mMaxElements, mPageSize`

Constructor Summary
`EOSearchOptions()` Creates a new instance of the EOSearchOptions class.
`EOSearchOptions(java.lang.String searchId, EPathArrayList fields)` Creates a new instance of the EOSearchOptions class.

Method Summary
`int` | `getCandidateThreshold()` Retrieves the value set by the setMaximumRows, which determines the maximuim rows that can be returned.
`EPathArrayList` | `getFieldsToRetrieve()` Retrieves an array of fully qualified field names pointing to the location of the fields to retrieve from a search for an enterprise object.
`java.lang.String` | `getSearchId()` Retrieves the value of the search ID (query name) defined in an EOSearchOptions object.
`boolean` | `isWeighted()` Retrieves the value set by the setWeighted class, which determines whether query results are weighted.
`void` | `setCandidateThreshold(int count)` Set the maximum row to return.
`void` | `setFieldsToRetrieve(EPathArrayList fields)` Sets the fields to retrieve for an enterprise object search, using the ePaths of the fields.
`void` | `setSearchId(java.lang.String searchId)` Sets the search ID (the name of the query) for an enterprise object search.
`void` | `setWeighted(boolean weighted)` Specifies whether query results are weighted.
`java.lang.String` | `toString()` String representation

Methods inherited from class com.sun.mdm.index.querybuilder.SearchOptions
`getBooleanOption, getMaxElements, getMaxQueryElements, getOption, getOptionNames, getPageSize, setMaxElements, setMaxQueryElements, setOption, setPageSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EOSearchOptions

    public EOSearchOptions()
                    throws ConfigurationException

  Creates a new instance of the EOSearchOptions class.

  Parameters:
    None.

  Throws:
    `ConfigurationException` - Thrown when a parameter is invalid.

### EOSearchOptions

    public EOSearchOptions(java.lang.String searchId,
                           EPathArrayList fields)
                    throws ConfigurationException

  Creates a new instance of the EOSearchOptions class. The query specified in this method transforms the system object in an EOSearchCriteria object to a set of query objects.

  Parameters:
    `searchId` - The name of the query to be used. The possible values for this parameter are defined in the Candidate Select configuration file.
    `fields` - An array of fully qualified field names pointing to the fields to retrieve for the query. Fully qualified field names allow you to define fields within the context of the enterprise object; that is, the field name uses "Enterprise" as the root. For example, Enterprise.SystemSBR.Person.FirstName.
  Throws:
    `ConfigurationException` - Thrown when a parameter is invalid.

Method Detail

### getCandidateThreshold

    public int getCandidateThreshold()

  Retrieves the value set by the setMaximumRows, which determines the maximuim rows that can be returned.

  Parameters:
    None.

  Returns:
    int A int value specifying the maximum rows that can be returned.
  Throws:
    None.

### getFieldsToRetrieve

    public EPathArrayList getFieldsToRetrieve()
                                       throws ConfigurationException

  Retrieves an array of fully qualified field names pointing to the location of the fields to retrieve from a search for an enterprise object.

  Parameters:
    None.

  Returns:
    `EPathArrayList` - An array containing the fully qualified field names for the fields to retrieve.
  Throws:
    `ConfigurationException` - Thrown when a parameter is invalid.

### getSearchId

    public java.lang.String getSearchId()

  Retrieves the value of the search ID (query name) defined in an EOSearchOptions object.

  Parameters:
    None.

  Returns:
    search id - The name of the query used in the specified instance of EOSearchOptions.
  Throws:
    None.

### isWeighted

    public boolean isWeighted()

  Retrieves the value set by the setWeighted class, which determines whether query results are weighted.

  Parameters:
    None.

  Returns:
    boolean A boolean value specifying whether the search is weighted.
  Throws:
    None.

### setCandidateThreshold

    public void setCandidateThreshold(int count)

  Set the maximum row to return.

  Parameters:
    `count` - Maximum rows
  Returns:
    `void` - None.
  Throws:
    `ConfigurationException` - Thrown when a parameter is invalid.

### setFieldsToRetrieve

    public void setFieldsToRetrieve(EPathArrayList fields)
                             throws ConfigurationException

  Sets the fields to retrieve for an enterprise object search, using the ePaths of the fields.

  Parameters:
    `fields` - An array containing the fully qualified field names for the fields to retrieve.
  Returns:
    `void` - None.
  Throws:
    `ConfigurationException` - Thrown when a parameter is invalid.

### setSearchId

    public void setSearchId(java.lang.String searchId)

  Sets the search ID (the name of the query) for an enterprise object search.

  Parameters:
    `searchId` - A query name (available names are defined in the Candidate Select configuration file).
  Returns:
    `void` - None.
  Throws:
    None.

### setWeighted

    public void setWeighted(boolean weighted)
                     throws ConfigurationException

  Specifies whether query results are weighted. .

  Parameters:
    `weighted` - if enabled, query results are forwarded to MEFA
  Returns:
    `void` - None.
  Throws:
    `ConfigurationException` - Thrown when a parameter is invalid.

### toString

    public java.lang.String toString()

  String representation

  Overrides:
    `toString` in class `SearchOptions`
  Returns:
    String representation

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.